GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Friends
grpc::ServerContext Class Reference

`#include <server_context.h>`

## Public Member Functions
| ServerContext ()
| ~ServerContext ()
std::chrono::system_clock::time_point | deadline ()
gpr_timespec | raw_deadline ()
void | AddInitialMetadata (const grpc::string &key, const grpc::string &value)
void | AddTrailingMetadata (const grpc::string &key, const grpc::string &value)
bool | IsCancelled () const
const std::multimap < grpc::string, grpc::string > & | client_metadata ()
grpc_compression_level | compression_level () const
void | set_compression_level (grpc_compression_level level)
grpc_compression_algorithm | compression_algorithm () const
void | set_compression_algorithm (grpc_compression_algorithm algorithm)
std::shared_ptr< const AuthContext > | auth_context () const
grpc::string | peer () const
const struct census_context * | census_context () const

## Friends
class | ::grpc::testing::InteropContextInspector
class | ::grpc::Server
template<class W , class R >
class | ::grpc::ServerAsyncReader
template<class W >
class | ::grpc::ServerAsyncWriter
template<class W >
class | ::grpc::ServerAsyncResponseWriter
template<class R , class W >
class | ::grpc::ServerAsyncReaderWriter
template<class R >
class | ::grpc::ServerReader
template<class W >
class | ::grpc::ServerWriter
template<class R , class W >
class | ::grpc::ServerReaderWriter
template<class ServiceType , class RequestType , class ResponseType >
class | RpcMethodHandler
template<class ServiceType , class RequestType , class ResponseType >
class | ClientStreamingHandler
template<class ServiceType , class RequestType , class ResponseType >
class | ServerStreamingHandler
template<class ServiceType , class RequestType , class ResponseType >
class | BidiStreamingHandler

## Constructor & Destructor Documentation

grpc::ServerContext::ServerContext | ( |  | ) |

grpc::ServerContext::~ServerContext | ( |  | ) |

## Member Function Documentation

void grpc::ServerContext::AddInitialMetadata | ( | const grpc::string & | key,
|  | const grpc::string & | value
| ) |  |

void grpc::ServerContext::AddTrailingMetadata | ( | const grpc::string & | key,
|  | const grpc::string & | value
| ) |  |

std::shared_ptr<const AuthContext> grpc::ServerContext::auth_context | ( |  | ) | const

const struct census_context* grpc::ServerContext::census_context | ( |  | ) | const

const std::multimap<grpc::string, grpc::string>& grpc::ServerContext::client_metadata | ( |  | ) |
| inline

grpc_compression_algorithm grpc::ServerContext::compression_algorithm | ( |  | ) | const
| inline

grpc_compression_level grpc::ServerContext::compression_level | ( |  | ) | const
| inline

std::chrono::system_clock::time_point grpc::ServerContext::deadline | ( |  | ) |
| inline

bool grpc::ServerContext::IsCancelled | ( |  | ) | const

grpc::string grpc::ServerContext::peer | ( |  | ) | const

gpr_timespec grpc::ServerContext::raw_deadline | ( |  | ) |
| inline

void grpc::ServerContext::set_compression_algorithm | ( | grpc_compression_algorithm | algorithm | ) |

void grpc::ServerContext::set_compression_level | ( | grpc_compression_level | level | ) |

## Friends And Related Function Documentation

friend class ::grpc::Server
| friend

template<class W , class R >

friend class ::grpc::ServerAsyncReader
| friend

template<class R , class W >

friend class ::grpc::ServerAsyncReaderWriter
| friend

template<class W >

friend class ::grpc::ServerAsyncResponseWriter
| friend

template<class W >

friend class ::grpc::ServerAsyncWriter
| friend

template<class R >

friend class ::grpc::ServerReader
| friend

template<class R , class W >

friend class ::grpc::ServerReaderWriter
| friend

template<class W >

friend class ::grpc::ServerWriter
| friend

friend class ::grpc::testing::InteropContextInspector
| friend

template<class ServiceType , class RequestType , class ResponseType >

friend class BidiStreamingHandler
| friend

template<class ServiceType , class RequestType , class ResponseType >

friend class ClientStreamingHandler
| friend

template<class ServiceType , class RequestType , class ResponseType >

friend class RpcMethodHandler
| friend

template<class ServiceType , class RequestType , class ResponseType >

friend class ServerStreamingHandler
| friend

The documentation for this class was generated from the following file:

- include/grpc++/server_context.h